package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsUserLevelScrm;

/**
 * 用户等级记录Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsUserLevelScrmService
{
    /**
     * 查询用户等级记录
     * 
     * @param id 用户等级记录ID
     * @return 用户等级记录
     */
    public FsUserLevelScrm selectFsUserLevelById(Long id);

    /**
     * 查询用户等级记录列表
     * 
     * @param fsUserLevel 用户等级记录
     * @return 用户等级记录集合
     */
    public List<FsUserLevelScrm> selectFsUserLevelList(FsUserLevelScrm fsUserLevel);

    /**
     * 新增用户等级记录
     * 
     * @param fsUserLevel 用户等级记录
     * @return 结果
     */
    public int insertFsUserLevel(FsUserLevelScrm fsUserLevel);

    /**
     * 修改用户等级记录
     * 
     * @param fsUserLevel 用户等级记录
     * @return 结果
     */
    public int updateFsUserLevel(FsUserLevelScrm fsUserLevel);

    /**
     * 批量删除用户等级记录
     * 
     * @param ids 需要删除的用户等级记录ID
     * @return 结果
     */
    public int deleteFsUserLevelByIds(Long[] ids);

    /**
     * 删除用户等级记录信息
     * 
     * @param id 用户等级记录ID
     * @return 结果
     */
    public int deleteFsUserLevelById(Long id);
}
